Subject: [PATCH v4 4/4] memory: emif: add device tree support to emif driver

From: [email-masked] (Greg KH)
Date: Tue, 17 Jul 2012 09:36:02 -0700

On Mon, Jul 09, 2012 at 07:02:36PM +0530, Shilimkar, Santosh wrote:
> Greg,
> 
> On Mon, Jul 2, 2012 at 6:48 PM, Shilimkar, Santosh
> <[email-masked]> wrote:
> > On Sat, Jun 30, 2012 at 10:12 AM, Shilimkar, Santosh
> > <[email-masked]> wrote:
> >> On Sat, Jun 30, 2012 at 9:53 AM, Greg KH <[email-masked]> wrote:
> >>> On Sat, Jun 30, 2012 at 09:38:41AM +0530, Shilimkar, Santosh wrote:
> >>>> (+ Greg, By mistake the your name got dropped cc from list)
> >>>>
> >>>> On Fri, Jun 29, 2012 at 7:13 PM, Santosh Shilimkar
> >>>> <[email-masked]> wrote:
> >>>> > From: Aneesh V <[email-masked]>
> >>>> >
> >>>> > Device tree support for the EMIF driver.
> >>>> >
> >>>> > Reviewed-by: Benoit Cousson <[email-masked]>
> >>>> > Reviewed-by: Grant Likely <[email-masked]>
> >>>> > Tested-by: Lokesh Vutla <[email-masked]>
> >>>> > Signed-off-by: Aneesh V <[email-masked]>
> >>>> > [santosh.shilimkar at ti.com: Rebased against 3.5-rc]
> >>>> > Signed-off-by: Santosh Shilimkar <[email-masked]>
> >>>> > ---
> >>>> >  drivers/memory/emif.c |  291 ++++++++++++++++++++++++++++++++++++++++++++++++-
> >>>> >  1 file changed, 290 insertions(+), 1 deletion(-)
> >>>
> >>> Wouldn't this just be better off as a separate file that only gets build
> >>> if CONFIG_OF is set, as I'm sure that other systems are going to want
> >>> access to these "read the device tree values" functions, right?
> >>>
> >> Probably yes. At least separate the LPDDR2 memory
> >> generic parameter DT read code. There are parameters like phy
> >> type which is specific to OMAP controllers so that still need to kept
> >> inside EMIF driver. So there in driver, few lines of code will be there
> >> under CONFIG_OF.
> >>
> >> I can extract those functions which can be commonly used and put them
> >> in another file under drivers/memory/
> >>
> >> Is that fine with you ?
> >>
> > To elaborate more, I have created below patch.
> > Let me know what do you think ?
> >
> Any comments ??

Becides the obvious one of sending a line-wrapped patch that can not be
applied?  :)

greg k-h